Jump to content

CoverArt - Images not showing


acnp77
 Share

Go to solution Solved by acnp77,

Recommended Posts

Hi

I just got Premiere and tried to use the Coverart Plugin. But all images seem to be broken... any suggetions?

 

post-156326-0-38709900-1480089501_thumb.png

 

Cheers

 

EDIT:

2016-11-25 16:55:37.4910 Info HttpServer: HTTP Response 500 to 10.0.0.30. Time: 3ms. http://10.0.0.14:8096/emby/CoverArt/Images?ImageType=resource&path=Border_thumb2016-11-25 16:55:37.4919 Info HttpServer: HTTP Response 500 to 10.0.0.30. Time: 32ms. http://10.0.0.14:8096/emby/CoverArt/Images?ImageType=resource&path=Diamond_thumb2016-11-25 16:55:37.4919 Info HttpServer: HTTP Response 500 to 10.0.0.30. Time: 35ms. http://10.0.0.14:8096/emby/CoverArt/Images?ImageType=resource&path=ClearCaseThumb_thumb2016-11-25 16:55:37.4919 Info HttpServer: HTTP Response 500 to 10.0.0.30. Time: 20ms. http://10.0.0.14:8096/emby/CoverArt/Images?ImageType=resource&path=Polaroid_thumb2016-11-25 16:55:37.4919 Info HttpServer: HTTP Response 500 to 10.0.0.30. Time: 28ms. http://10.0.0.14:8096/emby/CoverArt/Images?ImageType=resource&path=Sapphire_thumb2016-11-25 16:55:37.4919 Info HttpServer: HTTP Response 500 to 10.0.0.30. Time: 8ms. http://10.0.0.14:8096/emby/CoverArt/Images?ImageType=resource&path=Ignore_thumb2016-11-25 16:55:37.4919 Info HttpServer: HTTP Response 500 to 10.0.0.30. Time: 14ms. http://10.0.0.14:8096/emby/CoverArt/Images?ImageType=resource&path=Rounded_thumb2016-11-25 16:55:37.4927 Info HttpServer: HTTP Response 500 to 10.0.0.30. Time: 56ms. http://10.0.0.14:8096/emby/CoverArt/Images?ImageType=resource&path=CD_thumb2016-11-25 16:55:37.4927 Info HttpServer: HTTP Response 500 to 10.0.0.30. Time: 24ms. http://10.0.0.14:8096/emby/CoverArt/Images?ImageType=resource&path=Plaque_thumb
Edited by acnp77
Link to comment
Share on other sites

Happy2Play

What server version, plugin version number and OS?

Edited by Happy2Play
Link to comment
Share on other sites

Sure, if this is nessesary I will post it- but I feel a bit uncomfortable posting my whole log to public.

 

I found out that Coverart requires ImageMagick.

 

I found this in the log:

Error App: Error loading ImageMagick. Will revert to GDI.

I think this could be the reason.

 

ImageMagick is installed, but I installed it after I installed Emby and Emby can not find it. Or I installed it wrong...

 

Let me know if this helps. If not not I can post the whole log.

 

Thank you!

Link to comment
Share on other sites

If you are using one of our Linux packages, the package itself will handle figuring out where ImageMagick comes from, so it's not something you need to install.

Link to comment
Share on other sites

ok thanks, but I do not know how to proceed. Can you imagine what this could mean?

Error loading ImageMagick
Link to comment
Share on other sites

Ok so here is what is happening. We have our own custom version of ImageMagick called emby-imagemagick. However Debian is a little different and this causes a conflict with imagemagick so we've had to mark it as a recommended dependency and not a required dependency.

 

We have found a solution although we won't be ready to publish it for another 7-10 days. What you can do is either wait, or, if you don't have any other applications using ImageMagick, you could uninstall ImageMagick, re-install the Emby package and then that will allow emby-imagemagick to be installed which will get Cover Art working.

 

If you're not sure if you have other applications that need ImageMagick, then I would just suggest waiting.

  • Like 1
Link to comment
Share on other sites

  • Solution

Great, thanks!

 

Will re-installing Emby-package preverse my configuration and library? (If not I will definitively wait.)

Can not install it with apt-get, just says "is already newest version".

 

Only strange thing is, I did not have imagemagick installed at all. I only installed it because CoverArt did not work...

 

 

EDIT: I uninstalled imagemagick and checked for emby-server dependencies with "apt-cache depends emby-server" and installed the recommended "libembymagickwand-6.q8-2" ... now it works :)

 

Thanks :)

Edited by acnp77
  • Like 1
Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

×
×
  • Create New...